
import 'dart:developer';
import 'dart:io';

import 'package:finotescore/src/platform_interface.dart';
import 'package:finotescore/src/utils.dart';

class ActivityTrail {
  static ActivityTrail? _instance;

  ActivityTrail._() ;

  factory ActivityTrail() { 
    _instance ??= ActivityTrail._();
    return _instance!;
  }
  

  String? _currentLocation = Utils.Fn;


  void addMarker(String where, String marker){
    if (Platform.isAndroid) {
      _currentLocation = where;
      PlatformInterface.setActivityMarker(where, marker);
    }else{
      log("Platform not yet supported");
    }
  }

  String? getCurrentLocation(){
    return _currentLocation;
  }

}